View Issue Details

IDProjectCategoryView StatusLast Update
0002886Ham Radio DeluxeEnhancementpublic2018-11-11 00:34
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.4.0.878 
Target VersionFixed in Version6.4.0.902 
Summary0002886: All: application startup could be faster
DescriptionAt startup, the applications load an XML resource and parse it to build an array of US Zip codes and locations for location lookups.

The XML parsing is very slow, and significantly contributes to slow application startup. A more sensible representation of the data (as CSV, for example) would make XML parsing unnecessary and improve startup performance of most of the applications in the suite.

Steps To Reproduce1) Start up the logbook
2) Wait

BUG#1) OMG, why am I still waiting?
TagsNo tags attached.
ModuleAll
Sub-ModuleGeneral
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-09-08 14:00

manager   ~0006141

fixed with this shelf.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/shelveset?ss=improve%20app%20startup%20time%3Bmikeblas%40msn.com

NOTE that this is NOT checked-in yet, and this issue should NOT be closed until the code is checked-in and tested.

K7ZCZ

2018-10-20 14:05

manager   ~0006313

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4384

g3ucq

2018-10-21 04:26

viewer   ~0006319

Loaded Rig Control, Logbook and DM780.
With .898 that took 27seconds.
With .899 it took 19 seconds.

WA9PIE

2018-11-08 22:19

administrator   ~0006405

Yep... noticeably faster.

Issue History

Date Modified Username Field Change
2018-09-08 13:58 K7ZCZ New Issue
2018-09-08 14:00 K7ZCZ Note Added: 0006141
2018-09-09 11:20 K7ZCZ Summary All: application startup is slow => All: application startup could be faster
2018-10-20 14:05 K7ZCZ Assigned To => K7ZCZ
2018-10-20 14:05 K7ZCZ Status new => resolved
2018-10-20 14:05 K7ZCZ Resolution open => fixed
2018-10-20 14:05 K7ZCZ Note Added: 0006313
2018-10-20 22:19 K7ZCZ Fixed in Version => 6.4.0.899
2018-10-21 04:26 g3ucq Note Added: 0006319
2018-11-04 07:49 K7ZCZ Fixed in Version 6.4.0.899 => 6.4.0.900
2018-11-08 22:19 WA9PIE Status resolved => closed
2018-11-08 22:19 WA9PIE Sub-Module (select) => General
2018-11-08 22:19 WA9PIE Testing Not Started => Beta Successful
2018-11-08 22:19 WA9PIE Note Added: 0006405
2018-11-11 00:34 WA9PIE Fixed in Version 6.4.0.900 => 6.4.0.902
2018-11-11 00:34 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe